# -*- mode: yaml; indent-tabs-mode: nil; tab-width: 2; coding: utf-8-unix -*-

---

- name: "toxcore Devuan.yml"
  debug:
    verbosity: 1
    msg: "toxcore Devuan.yml"

- name: "install toxcore_debs_inst packages"
  environment:
    - "RUNLEVEL": 1
  apt:
    force_apt_get: true
    name: "{{ item }}"
    state: latest
    update_cache: no
  when:
    - item != '' and item != []
    - not ansible_check_mode
    - "BASE_ARE_CONNECTED|default('') != ''"
  with_items:
    - "{{ toxcore_debs_inst }}"
    - "{{ toxcore_qemu_debs_inst    if 'qemu' in TOXCORE_FEATURES or 'libvirt' in TOXCORE_FEATURES else [] }}"
    - "{{ proxy_libvirt_debs_inst    if 'libvirt' in TOXCORE_FEATURES else [] }}"
    - "{{ toxcore_libvirt_debs_inst    if 'libvirt' in TOXCORE_FEATURES else [] }}"
    - "{{ toxcore_virtualbox_debs_inst if 'virtualbox' in TOXCORE_FEATURES else [] }}"
    - "{{ toxcore_vagrant_debs_inst    if 'vagrant' in TOXCORE_FEATURES else [] }}"
    - "{{ toxcore_packer_debs_inst     if 'packer' in TOXCORE_FEATURES else [] }}"
    - "{{ toxcore_docker_debs_inst     if 'docker' in TOXCORE_FEATURES else [] }}"
  ignore_errors: "{{ BASE_PKG_IGNORE_ERRORS }}"


